Skip to main content

Dashboard

Organizations

Important requirements:
Some API methods require you to have active paid services. These API’s does not work with the sandbox environment.

Organizations list

This method requires you to use an API Key from the Default organization (the first organization in your account);

Use this method to get a list of all available organizations.

GET https://a.loopmessage.com/api/v1/organizations/list/

Headers

NameTypeDescription
Authorization*StringAPI Key. Required*.
Content-Type*Stringapplication/json

Query Parameters

NameTypeDescription
sort_byStringOptional. Sorting order for results. Possible values: asc or desc.
pageIntegerOptional. The page number to retrieve. Default is 1.
per_pageIntegerOptional. Number of webhook records per page. Default is 20.
searchStringOptional. Filter organizations by a specific value in name.

Response

{
  "page": 1,
  "num_pages": 1,
  "per_page": 20,
  "count": 1,
  "items": [
    {
      "id": "string",
      "name": "string",
      "status": "active",
      "create_date": "2025-01-01T23:59:59Z"
    }
  ]
}

Manage organization

Before using these API’s, you need to fetch the organization ID from organizations list.

Headers

All requests in this section will have the same headers.

NameTypeDescription
Authorization*StringAPI Key from a specific organization. Required*.
Content-Type*Stringapplication/json

Organization details

The behavior/response may vary depending on which organization’s API key is used.

  1. If you’re using an API key from the Default organization (the first organization in your account), you can get a response for all organizations in your account, like admin access.
  2. If you are using an API key from other organizations, you can only get a response related to that specific organization. You can’t access other organizations.

Use this method to get a list of sender names related to a specific organization

GET https://a.loopmessage.com/api/v1/organizations/details/{id}/

Path Parameters

NameTypeDescription
id*StringOrganization ID

Response example

{
    "id": "string",
    "name": "string",
    "status": "enum string",
    "create_date": "2025-01-27T22:23:51Z",
    "api_key": "string" // optional
}

Update organization

Important requirements! This API requires you to use an API Key from the Default organization (the first organization in your account)

PATCH https://a.loopmessage.com/api/v1/organizations/details/{id}/

Path Parameters

NameTypeDescription
id*StringOrganization ID

Request body

Need to send only the fields that you need to change. It’s not necessary to send all possible values from the list above.

NameTypeDescription
nameStringNew name for the organization.
websiteStringYour organization or product webpage.
support_urlStringA webpage where your users can get support related to your services.
countryStringYour organization country. Value should be in ISO-2 format. For example: US for USA, CA for Canada, GB for United kingdom.
webhook_urlStringOptional. URL that will be used to fire webhooks related to this organization. This field required to receive an API key in the response.
webhook_headerStringOptional. Value that will be included in the webhooks Authorization header.

Response example

Response {.tabset .tabset-fade}

tab 200: Accepted

Response will be the same as in the GET method, but with updated values.

tab 400: Failed

{
    "code": 100,
    "success": false,
    "message": "error description",
}

Delete organization

Before delete organization, there should be no active sender names assigned to this organization.

Important requirements! This API requires you to use an API Key from the Default organization (the first organization in your account)

DELETE https://a.loopmessage.com/api/v1/organizations/details/{id}/

Path Parameters

NameTypeDescription
id*StringOrganization ID

Response

Response {.tabset .tabset-fade}

tab 200: Accepted

{
    "success": true,
}

tab 400: Failed

{
    "code": 100,
    "success": false,
    "message": "error description",
}

New organization

Important requirements:
1) This method requires you to use an API Key from the Default organization (the first organization in your account);
2) This method requires you to have active paid services. These API’s does not work with the sandbox environment.

Use this method to create a new organization.

POST https://a.loopmessage.com/api/v1/organizations/new/

Request body

NameTypeDescription
name*StringNew name for the organization.
website*StringYour organization or product webpage.
support_url*StringA webpage where your users can get support related to your services.
country*StringYour organization country. Value should be in ISO-2 format. For example: US for USA, CA for Canada, GB for United kingdom.
webhook_urlStringOptional. URL that will be used to fire webhooks related to this organization. This field required to receive an API key in the response.
webhook_headerStringOptional. Value that will be included in the webhooks Authorization header.

JSON payload example

{
  "name": "String",
  "website": "https://site.com/",
  "support_url": "https://site.com/contact-us/",
  "country": "US",
  "webhook_url": "https://site.com/webhook/",
  "webhook_header": "secure string"
}

Response

Response {.tabset .tabset-fade}

tab 200: Accepted

{
  "id": "UUID String",
  "name": "String",
  "api_key": "String",
  "create_date": "2025-01-01T23:59:59Z"
}

tab 400: Failed

{
    "code": 100,
    "success": false,
    "message": "error description",
}